 #ifndef WOUTPUT_T_H
#define WOUTPUT_T_H

#include "wabor_t_definitions.h"

static t_class *pcWoutput_t;

struct _sWoutput_t {
	t_object x_obj; //t_object has to be the first entry in the structure!!

	t_float fConstSignal;
	
	//Inlet fuer Gabor Structs Frames ist das Standardinlet
	t_inlet *x_inC; //Intlet fuer Kontrolldaten
	char filepath[WABOR_T_MAXPATHLENGTH];
	FILE *myfile;
	t_float threshold;
	
	t_int counter; //Coutns samples
	
};
typedef struct _sWoutput_t sWoutput_t;

void woutput_t_setup(void);
void *woutput_t_new(t_floatarg fArg);
t_int *woutput_t_perform(t_int *aw);

void woutput_t_delete(sWoutput_t* psW);
void woutput_t_open(sWoutput_t *psW, t_symbol *s, t_int argc, t_atom *argv);
void woutput_t_close(sWoutput_t *psW);
void woutput_t_dsp(sWoutput_t* psW, t_signal **sp);
void woutput_t_bang(sWoutput_t *psW);
void woutput_t_set_threshold(sWoutput_t *psW, t_float fTreshold);
#endif //WPRINT_T_H
